cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/approval_profiles/ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.approval_profiles.get_settings_approval_profile(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvalProfiles.getSettingsApprovalProfile('ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvalProfiles->getSettingsApprovalProfile(
'ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.approval_profiles.approval_profiles_dto.ApprovalProfilesDto.SettingsApprovalProfile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsApprovalProfile> response = client.approvalProfiles().getSettingsApprovalProfile(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ApprovalProfiles.GetSettingsApprovalProfileAsync("ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvalProfiles.getSettingsApprovalProfile(
'ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ApprovalProfiles().GetSettingsApprovalProfile(context.Background(), "ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"approval_profile": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<unknown>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Approval profiles
Retrieve an approval profile
Retrieves one approval profile by its ap_ id.
GET
/
settings
/
approval_profiles
/
{approval_profile_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/approval_profiles/ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.approval_profiles.get_settings_approval_profile(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvalProfiles.getSettingsApprovalProfile('ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvalProfiles->getSettingsApprovalProfile(
'ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.approval_profiles.approval_profiles_dto.ApprovalProfilesDto.SettingsApprovalProfile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsApprovalProfile> response = client.approvalProfiles().getSettingsApprovalProfile(
"ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ApprovalProfiles.GetSettingsApprovalProfileAsync("ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvalProfiles.getSettingsApprovalProfile(
'ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ApprovalProfiles().GetSettingsApprovalProfile(context.Background(), "ap_0c2e4a6b8d1f4c3e5a7b9d0f2a4c6e8b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"approval_profile": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<unknown>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Returns the approval profile under
approval_profile.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The approval profile's ap_ id.
Response
200 - application/json
The approval profile, under approval_profile.
Show child attributes
Show child attributes